For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all charge codes
        • GETGet a charge code by ID
        • GETGet all resident charges
        • GETGet a resident charge by ID
        • GETGet all resident payments
        • GETGet a resident payment by ID
        • GETGet all fees
        • GETGet fee by ID
        • POSTCreate Resident Charge: ResMan
        • POSTCreate Resident Payment: ResMan
        • POSTBatch Create Resident Charges: ResMan
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManBilling and Payments

Get all fees

GET
/v1/fees/
GET
/v1/fees/
$curl https://api.propexo.com/v1/fees/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "8f8d80c026256e01d03852aaa3e0e145d790c8b6a4937ce62c65ed60af21aab3",
18 "x_property_id": "d3a291f2-d597-48fb-9f82-eb1fa5ae1e0b",
19 "x_location_id": null,
20 "x_charge_code_id": null,
21 "x_floor_plan_id": null,
22 "x_unit_id": null,
23 "amount_in_cents": 1425,
24 "amount_raw": "14.25",
25 "charge_code_name": null,
26 "description": null,
27 "name": "Admin",
28 "custom_data": {},
29 "integration_id": "clwh5u07w000508me66sfh3um",
30 "integration_vendor": "RESMAN",
31 "property_id": "clwi5xiix000008l6ctdgafyh",
32 "floor_plan_id": null,
33 "unit_id": null,
34 "charge_code_id": null
35 }
36 ]
37}
Get all fees
Was this page helpful?
Previous

Get fee by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
integration_idstringOptional
The Propexo unique identifier for the integration
property_idstringOptional
The Propexo unique identifier for the property
floor_plan_idstringOptional
The Propexo unique identifier for the floor plan
unit_idstringOptional
The Propexo unique identifier for the unit
charge_code_idstringOptional
The Propexo unique identifier for the charge code

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error